slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSCISSSetExtraction

Sets the extraction technique used in the CISS solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetExtraction(EPS eps,EPSCISSExtraction extraction)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| extraction | - the extraction technique

### Options Database Key

| -eps_ciss_extraction | - Sets the extraction technique (either 'ritz' or 'hankel')

### Notes

By default, the Rayleigh-Ritz extraction is used (EPS_CISS_EXTRACTION_RITZ).

If the 'hankel' option is specified (EPS_CISS_EXTRACTION_HANKEL), then the Block Hankel method is used for extracting eigenpairs.

### See Also

EPSCISSGetExtraction(), EPSCISSExtraction

### Level

advanced

### Location

src/eps/impls/ciss/ciss.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages